<?php

	include_once( PLOG_CLASS_PATH."class/plugin/pluginbase.class.php" );

	/**
	 * implements the functionality of a link tracker, that was previously included
	 * in the core of plog but since it probably wasn't used by anybody, has been
	 * moved to its own plugin
	 */
	class PluginLinkTracker extends PluginBase
	{
	
		function PluginLinkTracker()
		{
			$this->PluginBase();
			
			// this plugin's own id
			$this->id = "linktracker";
			$this->locales = Array( "en_UK", "es_ES", "ca_ES", "de_DE", "et_EE", "fi_FI", "fr_FR",
									"hu_HU", "it_IT", "nl_BE" );
			
			// register our own action
			$this->registerBlogAction( "LinkTracker", "LinkTrackerAction" );
		}
	}
?>